Bug 1211638 - BtoA and AtoB do not support ppc64/ppc64le arches
Summary: BtoA and AtoB do not support ppc64/ppc64le arches
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pki-core
Version: 25
Hardware: ppc64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1229817 1229821
Blocks: ARMTracker ZedoraTracker PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker F22PPCFinal
TreeView+ depends on / blocked
 
Reported: 2015-04-14 13:29 UTC by Menanteau Guy
Modified: 2017-12-12 10:09 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:09:19 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2015-04-14 13:29:49 UTC
test QA:Testcase_realmd_join_kickstart fails with f22 Beta TC2 in ppc64 and ppc64le arches.

Using procedure described in 
https://fedoraproject.org/wiki/QA:Testcase_realmd_join_kickstart 
on http://ppc.koji.fedoraproject.org/compose/22_Beta_TC2/22_Beta_TC2/Server/ppc64 image.

I tried to install freeipa but when I run command:
ipa-server-install -a Secret123 -p Secret123 --domain=my.domain --realm=MY.DOMAIN --hostname dc.my.domain -U
I got in /var/log/ipaserver-install.log:
ERROR:  '/bin/BtoA' does not execute on the 'ppc64' architecture!
...
ERROR:  '/bin/AtoB' does not execute on the 'ppc64' architecture!

I applied change in /bin/BtoA and /bin/AtoB
change line:
    elif [ "${ARCHITECTURE}" = "x86_64" ] ; then
by:
    elif [ "${ARCHITECTURE}" = "x86_64" ] || [ "${ARCHITECTURE}" = "ppc64" ] || [ "${ARCHITECTURE}" = "ppc64le" ] ; then

With this change, I got an error of configuration I need to investigate but nothing to do with problem above.

Comment 1 Dan Horák 2015-04-14 14:31:45 UTC
oh, my, seems they are checking architecture to get the java library paths ...

Comment 2 Dan Horák 2015-04-14 14:43:36 UTC
(In reply to Dan Horák from comment #1)
> oh, my, seems they are checking architecture to get the java library paths
> ...

and there are more places with explicitly mentioned i686 and x86_64, like /usr/bin/pki ...

Comment 3 Peter Robinson 2015-04-14 14:58:56 UTC
(In reply to Dan Horák from comment #1)
> oh, my, seems they are checking architecture to get the java library paths
> ...

there should be no need to do this.

Comment 4 David Sommerseth 2015-04-20 13:07:39 UTC
Two different patches suggested to the pki-devel mailing list:
https://www.redhat.com/archives/pki-devel/2015-April/msg00066.html

Comment 5 Dan Horák 2015-04-20 13:21:22 UTC
David, please look also at base/java-tools/bin/oki, dunno when or how it is used, but also contains ix86 and x86_64 hard-coded.

Comment 6 Matthew Harmsen 2015-05-29 17:20:48 UTC
Upstream ticket:
https://fedorahosted.org/pki/ticket/1392

Comment 7 Matthew Harmsen 2015-06-11 22:00:50 UTC
Checked into 'master':
* 8da79f75c9041b6391f7e100b690e4297c356d0a

Although there were some related issues found in the following bugs, these will be addressed in a future ticket:
* [https://bugzilla.redhat.com/show_bug.cgi?id=1229817 Bugzilla Bug #1229817 - Missing package dependency for pki-core on ppc64/ppc64le/s390x (nuxwdog)]
* [https://bugzilla.redhat.com/show_bug.cgi?id=1229821 Bugzilla Bug #1229821 - Missing package dependency for pki-core on ppc64/ppc64le/s390x (tomcatjss)]
* [https://bugzilla.redhat.com/show_bug.cgi?id=1229858 Bugzilla Bug #1229858 - pylint issues when building pki-core-10.2.0 on ppc64]

Comment 8 Mike McCune 2016-03-28 23:05:20 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 9 Fedora End Of Life 2016-07-19 13:43:00 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Jan Kurik 2016-07-26 04:45:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 11 Peter Robinson 2016-11-20 13:29:23 UTC
Can we verify the status of this against F-25+

Comment 12 Menanteau Guy 2016-12-06 13:30:28 UTC
This bug is no more present in f25 or Rawhide. It seems fixed. Thanks

Comment 13 Fedora End Of Life 2017-11-16 18:43:59 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:09:19 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.